use crate::vm::mem::DmAllocObject;

#[derive(Debug, Clone, PartialEq)]
pub enum DmValue {
    DmByte(u8),
    DmInt(i32),
    DmLong(i64),
    DmDouble(f64),
    DmBoolean(bool),
    DmPointer(*mut DmAllocObject),
    DmByteArray(Vec<u8>),
    DmIntArray(Vec<i32>),
    DmLongArray(Vec<i64>),
    DmDoubleArray(Vec<f64>),
    DmBooleanArray(Vec<bool>),
    DmPointerArray(Vec<*mut DmAllocObject>),
    DmUnit,
}
